package com.clx.performance.extranal.broker.impl;

import com.clx.performance.extranal.broker.BrokerService;
import com.clx.performance.feign.BrokerFeign;
import com.clx.performance.vo.pc.broker.TransportParam;
import com.msl.common.result.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class BrokerServiceImpl implements BrokerService {
    @Autowired
    public BrokerFeign brokerFeign;

    @Override
    public void orderChildSync(TransportParam param) {

        Result<String> result = brokerFeign.saveTransport(param);
        if (result.getCode() != 0) {
            log.info("运单同步网络货运失败, msg:{}", result.getMsg());
        }
    }
}
